package com.bizmatics.mhfire.controller.web;

import com.bizmatics.common.core.bean.ApiResult;
import com.bizmatics.common.core.bean.PageRequest;
import com.bizmatics.mhfire.service.AjhgzService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;
import java.util.Map;

/**
 * @author yq
 * @date 2021/5/14 15:29
 */
@RestController
@RequestMapping("ajhgz")
public class AjhgzControllerWeb {


    @Autowired
    private AjhgzService ajhgzService;


    @GetMapping("page")
    public ApiResult<List<Map<String, Object>>> page(){
        return ApiResult.success(ajhgzService.page(new PageRequest()));
    }
}
