package com.bizmatics.mhfire.service.impl;

import com.bizmatics.common.core.bean.PageRequest;
import com.bizmatics.mhfire.persistence.mapper.AjhgzMapper;
import com.bizmatics.mhfire.service.AjhgzService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;
import java.util.Optional;

/**
 * @author yq
 * @date 2021/5/14 13:36
 */
@Service
public class AjhgzServiceImpl implements AjhgzService {

    @Autowired
    private AjhgzMapper ajhgzMapper;
    @Override
    public List<Map<String, Object>> page(PageRequest pageRequest) {
        pageRequest = Optional.ofNullable(pageRequest).map(page -> {
             page.setCurrent(Optional.ofNullable(page.getCurrent()).filter(current ->
                 0 != current
             ).orElse(1));
            page.setSize(Optional.ofNullable(page.getSize()).filter(size ->
                0 != size
            ).orElse(10));
            return page;
        }).orElse(new PageRequest(1,10));

        List<Map<String, Object>> maps = ajhgzMapper.selectView(1, 10, "C6AE805BB72C41E1A097B9C958180A53");
        return maps;
    }
}
